4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.InferenceEngine

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: InferenceEngine

## Classes

class InferenceEngine

### Methods

__init__(self, core, rules=None)
complete(self, subject, predicate, object)
contains(self, statement)
execute(self, items, extParams=None, context=None)
fire(self, context)
narrowRules(self, predicateId, args)

### Fields

CHAINING = 2
READY = 1
STOPPED = 3
outStream = <open file '<stdout>', mode 'w'>